### Method

# GIRepository TypeInfo get_interface

since: 2.80

#### Declaration [src]

    GIBaseInfo*
    gi_type_info_get_interface (
      GITypeInfo* info
    )

#### Description [src]

For types which have `GI_TYPE_TAG_INTERFACE` such as `GObject`s and boxed values, this function returns full information about the referenced type.

You can then inspect the type of the returned `GIBaseInfo` to further query whether it is a concrete `GObject`, an interface, a structure, etc., using the type checking macros like `GI_IS_OBJECT_INFO()`, or raw `GType`s with `G_TYPE_FROM_INSTANCE()`.

Available since: 2.80

#### Return value

Type: `GIBaseInfo`

The `GIBaseInfo`, or `NULL`. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.